%define realname cyrus
%define modname cyrus
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A16_%{modname}.ini

Summary:	An extension which eases the manipulation of Cyrus IMAP servers for PHP4
Name:		php4-%{modname}
Version:	1.0
Release:	%mkrel 7
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/cyrus
Source0:	%{modname}-%{version}.tar.bz2
Source1:	%{modname}.ini.bz2
Patch0:		cyrus-1.0-lib64.diff.bz2
Requires:	php4-cli
BuildRequires:	php4-devel
BuildRequires:	cyrus-imapd-devel
BuildRequires:	libsasl-devel
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-root

%description
An extension which eases the manipulation of Cyrus IMAP servers.

%prep

%setup -q -n %{modname}-%{version}
%patch0 -p0

%build

#%{_usrsrc}/php4-devel/buildext %{modname} cyrus.c "-lsasl2 -lcyrus -lcyrus_min" \
#    "-DCOMPILE_DL_CYRUS -DHAVE_CYRUS -I%{_includedir}/sasl"

php4ize
export CYRUS_SHARED_LIBADD="-lsasl2 -lcyrus -lcyrus_min"
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php4.d/%{inifile}
install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc CREDITS README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}


%changelog
* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-7mdv2007.0
+ Revision: 132256
- rebuilt against new upstream php version (4.4.6)

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-6mdv2007.1
+ Revision: 123756
- rebuilt against new upstream php version (4.4.5)

* Fri Dec 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-5mdv2007.1
+ Revision: 97546
- Import php4-cyrus



* Sat Aug 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-5
- rebuilt for php-4.4.4

* Sat Aug 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-4mdv2007.0
- rebuilt for php-4.4.3

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-3mdk
- rebuild

* Mon Jan 16 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-2mdk
- rebuilt against php-4.4.2

* Wed Nov 02 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-1mdk
- rebuilt for php-4.4.1
- fix versioning

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_1.0-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_1.0-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_1.0-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-6mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-5mdk
- rebuilt against a non hardened-php aware php lib

* Tue Feb 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-4mdk
- link against libcyrus_min to resolve missing symbols
- fix deps

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-3mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Tue Jan 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-2mdk
- lib64 fixes (P0)

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_1.0-1mdk
- rebuild for php 4.3.9

* Sun Aug 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.0-2mdk
- make it find missing symbols

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.0-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.0-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php4.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.0-1mdk
- fix url
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_1.0-1mdk
- built for php 4.3.4

* Tue Aug 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_1.0-1mdk
- built for php 4.3.3
- misc spec file fixes

* Thu Jun 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_1.0-1mdk
- initial cooker contrib
